Last Comment Bug 738128 - Panorama uses the synchronous cache API, which may block the main thread on disk I/O
: Panorama uses the synchronous cache API, which may block the main thread on d...
Status: RESOLVED FIXED
: main-thread-io
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
:
Mentors:
Depends on: 745303
Blocks: 695399
  Show dependency treegraph
 
Reported: 2012-03-21 20:03 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2016-04-12 14:00 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-03-21 20:03:53 PDT
+++ This bug was initially created as a clone of Bug #737642 +++

Panorama (browser/components/tabview/thumbnailStorage.js) makes use of nsICacheService::OpenCacheEntry, which may block on disk I/O. nsICacheService::AsyncOpenCacheEntry should be used exclusively.

(We, the Necko team, would like to remove the nsICacheService::OpenCacheEntry method sometime soon.)
Comment 1 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-04-13 12:48:45 PDT
Will be fixed by 745303.
Comment 2 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-04-13 14:53:07 PDT
Does that mean that Panorama will not use the cache API at all?
Comment 3 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-04-13 14:54:18 PDT
Yes. Though the thumbnail service currently still uses it. But we're fixing that, too.
Comment 4 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-04-19 02:02:02 PDT
Fixed by bug 745303. Panorama doesn't use the cache API anymore. The thumbnail service still uses it asynchronously but we're moving away from the file cache in bug 744388.

Note You need to log in before you can comment on or make changes to this bug.